new upstream release 4.7.5

Bug #387745 reported by Alexander Sack on 2009-06-16
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
nspr (Ubuntu)
Undecided
Unassigned
Hardy
High
Alexander Sack
Intrepid
High
Alexander Sack
Jaunty
High
Alexander Sack

Bug Description

nspr 4.7.5 is available upstream and should go into karmic.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nspr - 4.7.5-0ubuntu1

---------------
nspr (4.7.5-0ubuntu1) karmic; urgency=low

  * New upstream version: 4.7.5 (LP: #387745)

  * adjust patches to changed upstream code base
    - update debian/patches/99_configure.patch

 -- Alexander Sack <email address hidden> Tue, 16 Jun 2009 11:28:24 +0200

Changed in nspr (Ubuntu):
status: New → Fix Released
Alexander Sack (asac) wrote :

we needs this for nss 3.12.3

See: nss bug 404051

Changed in nspr (Ubuntu Hardy):
assignee: nobody → Alexander Sack (asac)
status: New → In Progress
Changed in nspr (Ubuntu Intrepid):
assignee: nobody → Alexander Sack (asac)
importance: Undecided → High
status: New → In Progress
Changed in nspr (Ubuntu Hardy):
importance: Undecided → High
Changed in nspr (Ubuntu Jaunty):
assignee: nobody → Alexander Sack (asac)
importance: Undecided → High
status: New → In Progress
Martin Pitt (pitti) wrote :

Accepted into hardy-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in nspr (Ubuntu Hardy):
status: In Progress → Fix Committed
tags: added: verification-needed
Changed in nspr (Ubuntu Intrepid):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into intrepid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in nspr (Ubuntu Jaunty):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Alexander Sack (asac) wrote :

jaunty verification done: (see https://wiki.ubuntu.com/MozillaTeam/SecurityNotes/Nss3.12.3)
 1. new intrepid nss/nspr works fine on current jaunty (without rebuild firefox/xulrunner)
 2. new jaunty nss/nspr works fine on current jaunty (without rebuild firefox/xulrunner)
 3. new jaunty nss/nspr works fine with NEW jaunty (with latest firefox/xulrunner security updates from https://edge.launchpad.net/~ubuntu-mozilla-security/+archive/ppa)

Alexander Sack (asac) wrote :

... more jaunty verification

jaunty verification for evolution:
 pre. setup account that uses imaps (SSL encryption) for gmail account
 1. new intrepid nss/nspr works fine on release jaunty with evolution
 2. new jaunty nss/nspr works on release jaunty with evolution

jaunty verification for thunderbird:
 pre. setup account that uses imaps (SSL encryption) for gmail account
 1. new intrepid nss/nspr works fine on release jaunty with thunderbird
 2. new jaunty nss/nspr works on release jaunty with thunderbird

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nspr - 4.7.5-0ubuntu0.8.04.1

---------------
nspr (4.7.5-0ubuntu0.8.04.1) hardy-security; urgency=low

  * New upstream version: 4.7.5 (LP: #387745)
    - see USN-810-2
  * adjust patches to new upstream code base
    - update debian/patches/30_pkgconfig.patch
    - update debian/patches/81_sonames.patch
    - update debian/patches/99_configure.patch

 -- Alexander Sack <email address hidden> Wed, 29 Jul 2009 18:03:35 +0200

Changed in nspr (Ubuntu Hardy):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nspr - 4.7.5-0ubuntu0.8.10.1

---------------
nspr (4.7.5-0ubuntu0.8.10.1) intrepid-security; urgency=low

  * New upstream version: 4.7.5 (LP: #387745)
    - add USN-810-2
  * adjust patches to new upstream code base
    - update debian/patches/30_pkgconfig.patch
    - update debian/patches/81_sonames.patch
    - update debian/patches/99_configure.patch

 -- Alexander Sack <email address hidden> Wed, 29 Jul 2009 18:04:27 +0200

Changed in nspr (Ubuntu Intrepid):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package nspr - 4.7.5-0ubuntu0.9.04.1

---------------
nspr (4.7.5-0ubuntu0.9.04.1) jaunty-security; urgency=low

  * New upstream version: 4.7.5 (LP: #387745)
    - see USN-810-2

  * adjust patches to changed upstream code base
    - update debian/patches/99_configure.patch

 -- Alexander Sack <email address hidden> Wed, 29 Jul 2009 18:07:21 +0200

Changed in nspr (Ubuntu Jaunty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers